//=============================================================================
// SnowMobileTire.
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2012.
//=============================================================================
class SnowMobileTire extends NKVCarTire;

simulated function TouchingSurfaceIndicator()
{
	local vector EndTrace, WheelIT;

	EndTrace = Location - Chassis.WheelRadius*(vect(0,0,1) >> Owner.Rotation);
	bTireOnGround = !FastTrace(EndTrace, Location);

	if( bTireOnGround )
	{
		KSetInertiaTensor(WheelIT1, WheelIT2);
	}
	else
	{
		KSetInertiaTensor(WheelIT, WheelIT);
	}
}

defaultproperties
{
	 DrawScale=0.8
	 bCollideActors=False
	 StaticMesh=StaticMesh'MaricaCollision.GolfColl.GolfTireKColl'
}
