//=============================================================================
// ACTION_ProjectMaricaMenu.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2017.
//=============================================================================

class ACTION_ProjectMaricaMenu extends P2ScriptedAction;

function mMenu(Pawn aInstigator)
{
	local ShellRootWindow PlayerRootMenu;

	if( aInstigator == None )
		return;

	PlayerRootMenu = ShellRootWindow(P2Player(aInstigator.Controller).Player.InteractionMaster.BaseMenu);

	if( PlayerRootMenu == None )
		return;

	PlayerRootMenu.ShowMenu();
	PlayerRootMenu.CreateMenu(class'ProjectMaricaMenu');
	PlayerRootMenu.MyMenu.ShowWindow();
}

function bool InitActionFor(ScriptedController C)
{
	mMenu(P2GameInfo(C.Level.Game).GetPlayer().Pawn);
	return false;
}

defaultproperties
{
	ActionString="ProjectMarica menu"
}
