//=============================================================================
// FRTCar.
//
// Base model: model by StevenHorton.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2011.
//=============================================================================

class FRTCar extends NKVCarNew;

defaultproperties
{
	 Tag="Dodge Challenger 2008"
	 ShadowZ=0.0
	 TorqueCurve=(Points=((InVal=0.0,OutVal=40.0),(InVal=650000.0,OutVal=150.0),(InVal=900000.0))

	 EngineVolume=55
	 //SteerSpeed=31500.000000
	 MaxBrakeTorque=45
	 WheelRadius=37.0
	 ActionAngularDamp=0.0
	 RestAngularDamp=0.7

     EngStartUpSound=None
     EngStopSound=None
     //EngStartUpSound=Sound'MaricaSounds.ut_engine_start_02'
     //EngStopSound=Sound'MaricaSounds.ut_engine_stop_02'
	 ImpactSoundsMin(0)=Sound'MaricaSounds.ut_impact_03'
	 ImpactSoundsMed(0)=Sound'MaricaSounds.ut_impact_01'
	 ImpactSoundsMed(1)=Sound'MaricaSounds.ut_impact_02'
	 ImpactSoundsMax(0)=Sound'MaricaSounds.ut_impact_04'
	 ImpactSoundsMax(1)=Sound'MaricaSounds.ut_impact_05'
	 ImpactSoundsMax(2)=Sound'MaricaSounds.ut_impact_06'
	 ImpactSoundsMax(3)=Sound'MaricaSounds.ut_impact_07'

	 ShadowLightDistance=1200
	 ShadowMaxTraceDistance=300

	 CameraDist=13.0
	 Description="Dodge Challenger 2008. || Model by Steven Horton."
	 DestroyBones(0)="Bonnet"
	 DestroyBones(1)="Windows"
	 DestroyBones(2)="Attachment"
	 bAllowBrokenWheels=True
	 bSpawnBrokenDetail=True

	 bFixedFPCamera=False
	 FrontLightMaterial=Texture'GenFX.LensFlar.6'
	 RearLightMaterial=Texture'GenFX.LensFlar.softlens2'
	 RearLightStopScale=0.200000
	 RearLightScale=0.100000
	 FrontLightScale=0.200000
     FrontLightClass=Class'NVFrontCarLight'
     RearLightClass=Class'NVRearCarLight'
     FrontLightPos(0)=(X=216.000000,Y=50.000000,Z=-2.000000)
     FrontLightPos(1)=(X=216.000000,Y=-50.000000,Z=-2.000000)
     FrontLightPos(2)=(X=216.000000,Y=68.000000,Z=-2.000000)
     FrontLightPos(3)=(X=216.000000,Y=-68.000000,Z=-2.000000)
     FrontLightPos(4)=(X=216.000000,Y=28.500000,Z=-27.500000)
     FrontLightPos(5)=(X=216.000000,Y=-28.500000,Z=-27.500000)
     RearLightPos(0)=(X=-220.000000,Y=55.000000,Z=10.000000)
     RearLightPos(1)=(X=-220.000000,Y=-55.000000,Z=10.000000)

     ExhaustClass=Class'CarExhaust'
	 ExhaustPos(0)=(X=-88.000000,Y=86.000000,Z=-45.000000)
	 ExhaustPos(1)=(X=-88.000000,Y=-86.000000,Z=-45.000000)
	 ExhaustPos(2)=(X=-65.000000,Y=86.000000,Z=-45.000000)
	 ExhaustPos(3)=(X=-65.000000,Y=-86.000000,Z=-45.000000)

	 DecoSystem=DS_Bones
	 ExhaustBones(0)="Exhaust"
	 ExhaustBones(1)="Exhaust01"
	 ExhaustBones(2)="Exhaust02"
	 ExhaustBones(3)="Exhaust03"
	 SteerWheelBone="SteerWheel"

	 FrontLightBones(0)="FrontLight00"
	 FrontLightBones(1)="FrontLight01"
	 FrontLightBones(2)="FrontLight02"
	 FrontLightBones(3)="FrontLight03"
	 FrontLightBones(4)="FrontLight04"
	 FrontLightBones(5)="FrontLight05"

	 RearLightBones(0)="RearLight00"
	 RearLightBones(1)="RearLight01"

	 bUpdateSusp=True
	 RSuspHighLimit=17.000000
	 RSuspLowLimit=-17.000000
     ExitPos=(Y=-140.000000,Z=15.000000)
     ExitPosPassenger=(Y=140.000000,Z=15.000000)
     EnterPos=(Y=145.000000,Z=-5.000000)
	 WheelFrontRight="RightFrontTIRE"
	 WheelFrontLeft="LeftFrontTIRE"
	 WheelRearRight="RightRearTIRE"
	 WheelRearLeft="LeftRearTIRE"
	 StrutFrontRight=""
	 StrutFrontLeft=""
	 StrutRearRight=""
	 StrutRearLeft=""
	 IntCollisionSize=(X=1,Y=1,Z=1)
	 IntCollisionModel=StaticMesh'MaricaCollision.FrtColl.FrtIntColl'
	 IntCollisionClass=Class'IntCollisionActor'

	 LightProjectorClass=class'NVLightProjector'
	 ProjLightPos=(X=180.000000,Y=0.000000,Z=20.000000)
	 ProjectedLightRot=(Pitch=-100)
	 ProjLightMaterial=Texture'MaricaTextures.Effects.LightProj_01'
	 ProjLightFOV=40
	 ProjLightScale=0.400000

	 bCarIsFTWD=False
     bCarIsRTWD=True
     MaxSpeedAccel=30.000000
	 VehicleMaxSpeed=655325.000000
     MaxSteerAngle=3500.000000
     ChassisMass=2.7500000

	 bCanSeeDriver=True
	 DriverPos=(X=-29.000000,Y=-36.000000,Z=-24.000000)
	 FPDriverViewPos=(X=-28.000000,Y=-39.000000,Z=40.000000)
	 FPPassengerViewPos=(X=-28.000000,Y=39.000000,Z=40.000000)
	 PassengerPos=(X=-29.000000,Y=36.000000,Z=-24.000000)

	 RadiatorPos=(X=125.000000,Y=0.000000,Z=25.000000)
     VehicleFireClass=Class'VehicleFireEmitter'

	 BrokenSkins(0)=Shader'MaricaTextures.FrtTex.FrtSkin_s_destroyed'
	 BrokenSkins(1)=Shader'Timb.Misc.invisible_mask'
	 BrokenSkins(2)=Texture'MaricaTextures.FrtTex.TailLightBroken'
	 BrokenSkins(3)=Shader'MaricaTextures.FrtTex.HortonVehicleAcc_s'
	 BrokenSkins(4)=Shader'Timb.Misc.invisible_mask'
	 BrokenSkins(5)=Texture'MaricaTextures.FrtTex.chall_wheel_skin05'
	 BrokenSkins(6)=Texture'MaricaTextures.FrtTex.chall_wheel_skin04'
	 BrokenSkins(7)=Texture'MaricaTextures.FrtTex.chall_wheel_skin05'
	 BrokenSkins(8)=Texture'MaricaTextures.FrtTex.chall_wheel_skin05'
	 BrokenSkins(9)=Texture'MaricaTextures.FrtTex.chall_wheel_skin06'

	 bDamagableWheels=True
	 WheelsHealth=50
	 WheelsMaxHealth=100
	 UnloadWheelHeight=0.013200
	 bSparkWheels=True
     EngTireClass=Class'FRTCarTire'
     SteerTireClass=Class'FRTCarTire'
     WheelSteerAlong=139.000000
     WheelSteerAcross=73.000000
     WheelEngAlong=-141.500000
     WheelEngAcross=73.000000
     WheelVert=-37.800000
     SuspStiffness=200.000000
     SuspDamping=5.000000
     SuspHighLimit=0.400000
     SuspLowLimit=-0.400000
     //TireRollFriction=1.500000
     TireLateralFriction=2.000000
	 TireRollSlip=0.060000
	 TireLateralSlip=0.040000
	 TireSlipRate=0.007000

	 SlipVolume=20.0
	 EnginePitch=35.0
     EngineSound=Sound'MaricaSounds.UnWheel_idle10'
     ImpactSounds(0)=Sound'MaricaSounds.ut_impact_01'
     ImpactSounds(1)=Sound'MaricaSounds.ut_impact_02'

     StaticMesh=StaticMesh'MaricaCollision.FrtColl.FrtKColl'
	 Mesh=SkeletalMesh'MaricaModels.FrtModel'

	 bRandomSkin=True
	 SkinIndex=0
	 Skins(0)=Shader'MaricaTextures.FrtTex.FrtSkin_s_04'
	 Skins(1)=Shader'ProjectMaricaCore.GlassTexShad'
	 Skins(2)=Shader'MaricaTextures.FrtTex.TailLightMap_s'
	 OtherSkins(0)=Shader'MaricaTextures.FrtTex.FrtSkin_s_01'
	 OtherSkins(1)=Shader'MaricaTextures.FrtTex.FrtSkin_s_02'
	 OtherSkins(2)=Shader'MaricaTextures.FrtTex.FrtSkin_s_03'
	 OtherSkins(3)=Shader'MaricaTextures.FrtTex.FrtSkin_s_04'
	 OtherSkins(4)=Shader'MaricaTextures.FrtTex.FrtSkin_s_05'
	 OtherSkins(5)=Shader'MaricaTextures.FrtTex.FrtSkin_s_06'

     Begin Object Class=KarmaParamsRBFull Name=DodgeChallengerPhysics
         //KInertiaTensor(0)=20.000000
         //KInertiaTensor(3)=30.000000
         //KInertiaTensor(5)=58.000000
         KInertiaTensor(0)=4.000000
         KInertiaTensor(3)=25.000000
         KInertiaTensor(5)=45.000000
         KCOMOffset=(X=-0.3,Z=-1.5)
		 KLinearDamping=0.050000
         KAngularDamping=0.700000
         KStartEnabled=True
         bKNonSphericalInertia=True
         KFriction=0.200000
         KImpactThreshold=250.000000
         Name="DodgeChallengerPhysics"
     End Object
     KParams=KarmaParamsRBFull'DodgeChallengerPhysics'
}