//=============================================================================
// RocketProjectile.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2011.
//=============================================================================

class HelicopterRocketProjectile extends RocketProjectile;

auto state Eject
{
	ignores TakeDamage;	 // so they won't blow up right outta the launcher.

	simulated function BeginState()
	{
		//PlayAnim('Still', 0.1);
		SetTimer(0.4, false);
		// We jumped out, so make a smoke puff nearby
		EmitSmokePuff(0.3);

		PlaySound(RocketLaunch, SLOT_Misc, 1.0, false, 512.0, 1.0);
	}

Begin:
	Sleep(0.01);
	GotoState('Flying');
}

defaultproperties
{
     speed=3500.0
     MaxSpeed=3500.0
	 ReadjustSpeed=0.9

     CollisionRadius=16.0
     CollisionHeight=16.0
}
