//=============================================================================
// PMCop. (ProjectMarica's multiplayer npc cops)
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2011.
//=============================================================================

class PMCop extends PMPawn;

defaultproperties
{
	 bHasRadio=false
     HeadClass=Class'PMHead'
     HeadSkin=Texture'ChamelHeadSkins.Male.MMA__016__AvgMale'
     HeadMesh=SkeletalMesh'heads.AvgMale'
     CloseWeaponIndex=2
     FarWeaponIndex=3
     ViolenceRankTolerance=0
     HealthMax=200.000000
     Gang="Police"
     DonutLove=0.750000
     bFriendWithAuthority=True
     FriendDamageThreshold=0.000000
     AttackRange=(Min=256.000000,Max=4096.000000)
     Psychic=0.200000
     Champ=0.500000
     Cajones=0.600000
     Temper=0.120000
     Glaucoma=0.800000
     Rat=1.000000
     Compassion=1.000000
     WarnPeople=1.000000
     Conscience=1.000000
     PainThreshold=1.000000
     Reactivity=0.400000
     Rebel=1.000000
     WillDodge=0.300000
     WillUseCover=0.600000
     TalkWhileFighting=0.000000
     TakesShotgunHeadShot=0.350000
     TakesShockerDamage=0.700000
     TalkBeforeFighting=0.000000
     Fitness=0.550000
     BodyHitSounds(0)=Sound'MiscSounds.People.bodyhitground1'
     BodyHitSounds(1)=Sound'MiscSounds.People.bodyhitground2'
     ChameleonMeshPkgs(0)="Characters"
     ChamelHeadSkins(0)="ChamelHeadSkins.MWA__001__AvgMale"
     ChamelHeadSkins(1)="ChamelHeadSkins.MBA__013__AvgBrotha"
     ChamelHeadSkins(2)="ChamelHeadSkins.MBA__014__AvgBrotha"
     ChamelHeadSkins(3)="ChamelHeadSkins.MMA__016__AvgMale"
     ChamelHeadSkins(4)="ChamelHeadSkins.MMF__024__FatMale"
     ChamelHeadSkins(5)="ChamelHeadSkins.MWA__002__AvgMale"
     ChamelHeadSkins(6)="ChamelHeadSkins.MMA__003__AvgMale"
     ChamelHeadSkins(7)="ChamelHeadSkins.MWA__004__AvgMale"
     ChamelHeadSkins(8)="ChamelHeadSkins.MWA__005__AvgMale"
     ChamelHeadSkins(9)="ChamelHeadSkins.MWA__006__AvgMale"
     ChamelHeadSkins(10)="ChamelHeadSkins.MWA__007__AvgMale"
     ChamelHeadSkins(11)="ChamelHeadSkins.MWA__008__AvgMale"
     ChamelHeadSkins(12)="ChamelHeadSkins.MWA__009__AvgMale"
     ChamelHeadSkins(13)="ChamelHeadSkins.MWA__010__AvgMale"
     ChamelHeadSkins(14)="ChamelHeadSkins.MWA__011__AvgMale"
     ChamelHeadSkins(15)="ChamelHeadSkins.MWA__015__AvgMale"
     ChamelHeadSkins(16)="ChamelHeadSkins.MWA__021__AvgMaleBig"
     ChamelHeadSkins(17)="ChamelHeadSkins.MWA__035__AvgMale"
     ChamelHeadSkins(18)="ChamelHeadSkins.MWF__025__FatMale"
     ChamelHeadSkins(19)="ChamelHeadSkins.MWA__022__AvgMaleBig"
     ChamelHeadSkins(20)="ChamelHeadSkins.FBA__033__FemSH"
     ChamelHeadSkins(21)="ChamelHeadSkins.FMA__028__FemSH"
     ChamelHeadSkins(22)="ChamelHeadSkins.FMA__034__FemSH"
     ChamelHeadSkins(23)="ChamelHeadSkins.FWA__026__FemLH"
     ChamelHeadSkins(24)="ChamelHeadSkins.FWA__027__FemLH"
     ChamelHeadSkins(25)="ChamelHeadSkins.FWA__029__FemSH"
     ChamelHeadSkins(26)="ChamelHeadSkins.FWA__032__FemSH"
     ChamelHeadSkins(27)="ChamelHeadSkins.FWF__023__FatFem"
     ChamelHeadSkins(28)="ChamelHeadSkins.FWA__037__FemSHcropped"
     ChamelHeadSkins(29)="ChamelHeadSkins.FMA__038__FemSHcropped"
     ChamelHeadSkins(30)="ChamelHeadSkins.FMA__039__FemSHcropped"
     ChamelHeadSkins(31)="ChamelHeadSkins.FWA__040__FemSHcropped"
     ChamelHeadSkins(32)="ChamelHeadSkins.MBF__042__FatMale"
     ChamelHeadSkins(33)="ChamelHeadSkins.FBF__043__FatFem"
     ChamelHeadSkins(34)="ChamelHeadSkins.FMF__044__FatFem"
     ChamelHeadSkins(35)="ChamelHeadSkins.FWA__031__FemSH"
     ChamelHeadSkins(36)="ChamelHeadSkins.FBA__063__FemSH"
     ChamelHeadSkins(37)="End"
     ChamelHeadMeshPkgs(0)="heads"
     dialogclass=Class'BasePeople.DialogMaleCop'
     BaseEquipment(0)=(WeaponClass=Class'Inventory.HandCuffsWeapon')
     BaseEquipment(1)=(WeaponClass=Class'Inventory.BatonWeapon')
     BaseEquipment(2)=(WeaponClass=Class'Inventory.PistolWeapon')
     BaseEquipment(3)=(WeaponClass=Class'Inventory.UrethraWeapon')
     bCanPickupInventory=True
     HandsClass=Class'Inventory.HandsWeaponSS'
     HandsTexture=Texture'MP_FPArms.SS_arms.SS_hands_cop'
	 ControllerClass=Class'PMPoliceController'
     FootTexture=Texture'ChameleonSkins.CopBrown.MW__038__Avg_M_SS_Pants'
     MenuName="Cop"
     Mesh=SkeletalMesh'MP_Characters.Avg_M_SS_Pants'
     Skins(0)=Texture'ChameleonSkins.CopBrown.MW__038__Avg_M_SS_Pants'
}
