//=============================================================================
// PMMoneySpawner.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2014.
//=============================================================================

class PMMoneySpawner extends Actor
	placeable;

var class<MoneyPickup> MoneyPickupClass;
var() float RespawnTime;
var() int HowMuch;
var MoneyPickup oldMoney;

function PostBeginPlay()
{
	RespawnMoney();
	SetTimer(RespawnTime, true);
}

function RespawnMoney()
{
	if( oldMoney != None )
		return;

	oldMoney = spawn(MoneyPickupClass,self,,Location,Rotation);
	oldMoney.AmountToAdd = HowMuch;
	if( oldMoney == None )
	{
		//log(self$" can't spawn this loc");
		LifeSpan = 2.0;
	}
}

function Timer()
{
	RespawnMoney();
}

defaultproperties
{
	 MoneyPickupClass=class'MoneyPickup'
	 HowMuch=100
	 RespawnTime=5.0
	 bHidden=True
	 DrawType=DT_StaticMesh
	 StaticMesh=StaticMesh'stuff.stuff1.Money'
	 bCollideActors=false
	 CollisionRadius=1.0
	 CollisionHeight=1.0
}
