//=============================================================================
// PoliceController.
// Copyright 2002 RWS, Inc.  All Rights Reserved.
// Edited by Evil T-ModZ for MP mod ProjectMarica!
// Set-games.ru
// 2012.
//=============================================================================
class PMPoliceController extends PoliceController;

simulated function Tick(float DeltaTime)
{
	if(Attacker != None)
	{
		bHateAttacker = False;
		if(Vsize(Attacker.Location - Location) <= 200) //&& FindSuspectsWeapon() == None)
		{
			if(!IsInState('PrepareToArrestHim')
				&& !IsInState('WalkToArrestee')
				&& !IsInState('WalkToSuspect')
				&& !IsInState('RunToArrestee')
				//&& !IsInState('TellHimToFreeze')
				//&& !IsInState('TellHimToDropWeapon')
				&& !IsInState('GetOutCuffs')
				//&& !IsInState('BackupLeader')
				&& !IsInState('ReadHimHisRights')
				&& !IsInState('WalkToCuffAttacker')
				&& !IsInState('CuffHim'))
				GotoStateSave('PrepareToArrestHim');
		}
		/*else if(!IsInState('ShootAtAttacker') 
			&& !IsInState('AssessAttacker'))
			GoKilling();*/
	}
}

simulated function Actor FindJail()
{
	local PMJailPoint Jail;
	foreach AllActors(class'PMJailPoint',Jail)
	if(Jail != None && Jail.bInUse == False)
		return Jail;
	return None;
}

simulated function Actor FindSuspectsWeapon()
{
	if(Attacker.Weapon != None)
		return Attacker.Weapon;
	return None;
}

simulated function NKVehicle FindSuspectsCar()
{
	local NKVehicle Car;
	foreach AllActors(class'NKVehicle',Car)
	if(Car != None && Car.Driver == Attacker)
		return Car;
	return None;
}

simulated function ThisSuspectCuffed(pawn Suspect)
{
	local PMPoliceController OtherPolice;
	if(Attacker == Suspect)
		Attacker = None;
	foreach AllActors(class'PMPoliceController',OtherPolice)
	if(OtherPolice.Attacker == Suspect)
		OtherPolice.Attacker = None;
	if(Level.Game != None)
		if(P2GameInfoSingle(Level.Game) != None)
			P2GameInfoSingle(Level.Game).TheGameState.ResetCopRadioTime();
}

state CuffHim
{
	simulated function SendingPlayerToJail(P2Player p2p)
	{
		local Actor JailPoint;
		local NKVehicle Car;
		JailPoint = FindJail();
		//p2p.GettingSentToJail();
		if(!p2p.bGodMode)
			Attacker.SetLocation(JailPoint.Location);
		else return;
	}
	simulated function BeginState()
	{
		PrintThisState();
		DetermineLeader(true);
		if(!MyPawn.bTeamLeader)
			GotoStateSave('BackupLeader');

		PlayerHintDropWeapon(Attacker, true, true);
	}

Begin:
	// Actual code that begins the sending.
	if(P2Player(Attacker.Controller) != None)
	{
			SendingPlayerToJail(P2Player(Attacker.Controller));
			ThisSuspectCuffed(Attacker);
			Sleep(1.0);
	}
	GotoStateSave('LookAroundForTrouble');
}

defaultproperties
{
     RadioSounds(0)=Sound'WMaleDialog.wm_cop_radio1'
     RadioSounds(1)=Sound'WMaleDialog.wm_cop_radio2'
     HallwayFootstepSounds=Sound'MiscSounds.People.footstep'
     InterestInventoryClass=Class'Inventory.MoneyInv'
     BackToHandsFreq=0.600000
     SwitchWeaponFreq=1.000000
}
