//=============================================================================
// PMMarketPoint.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2012.
//=============================================================================

class PMShopkeeper extends PMPawn
	placeable;

event EncroachedBy( actor Other )
{
	local Pawn OtherPawn;
	OtherPawn = Pawn(Other);
	Other = OtherPawn;
	if ( Pawn(Other) != None )
		OtherPawn.GibbedBy(self);
}

function TakeDamage( int Damage, Pawn instigatedBy, Vector hitlocation, 
						Vector momentum, class<DamageType> damageType)
{
	//STUB
}

simulated function Tick(float DeltaTime)
{
	local name anim;
	local float frame,rate;
	Super.Tick(DeltaTime);
	GetAnimParams(0,Anim,frame,rate);
	if((Anim == 'None' || Anim == '') && Controller == None)
	{
		LoopAnim('s_base1',1.0);
	}
}

defaultproperties
{
     HeadSkin=Texture'ChamelHeadSkins.Special.Habib'
     HeadMesh=SkeletalMesh'heads.AvgMale'
     bRandomizeHeadScale=False
     BodyHitSounds(0)=Sound'MiscSounds.People.bodyhitground1'
     BodyHitSounds(1)=Sound'MiscSounds.People.bodyhitground2'
     bIsHindu=True
     ChameleonMeshPkgs(0)="Characters"
     ChamelHeadSkins(0)="ChamelHeadSkins.MWA__001__AvgMale"
     ChamelHeadSkins(1)="ChamelHeadSkins.MBA__013__AvgBrotha"
     ChamelHeadSkins(2)="ChamelHeadSkins.MBA__014__AvgBrotha"
     ChamelHeadSkins(3)="ChamelHeadSkins.MMA__016__AvgMale"
     ChamelHeadSkins(4)="ChamelHeadSkins.MMF__024__FatMale"
     ChamelHeadSkins(5)="ChamelHeadSkins.MWA__002__AvgMale"
     ChamelHeadSkins(6)="ChamelHeadSkins.MMA__003__AvgMale"
     ChamelHeadSkins(7)="ChamelHeadSkins.MWA__004__AvgMale"
     ChamelHeadSkins(8)="ChamelHeadSkins.MWA__005__AvgMale"
     ChamelHeadSkins(9)="ChamelHeadSkins.MWA__006__AvgMale"
     ChamelHeadSkins(10)="ChamelHeadSkins.MWA__007__AvgMale"
     ChamelHeadSkins(11)="ChamelHeadSkins.MWA__008__AvgMale"
     ChamelHeadSkins(12)="ChamelHeadSkins.MWA__009__AvgMale"
     ChamelHeadSkins(13)="ChamelHeadSkins.MWA__010__AvgMale"
     ChamelHeadSkins(14)="ChamelHeadSkins.MWA__011__AvgMale"
     ChamelHeadSkins(15)="ChamelHeadSkins.MWA__015__AvgMale"
     ChamelHeadSkins(16)="ChamelHeadSkins.MWA__021__AvgMaleBig"
     ChamelHeadSkins(17)="ChamelHeadSkins.MWA__035__AvgMale"
     ChamelHeadSkins(18)="ChamelHeadSkins.MWF__025__FatMale"
     ChamelHeadSkins(19)="ChamelHeadSkins.MWA__022__AvgMaleBig"
     ChamelHeadSkins(20)="ChamelHeadSkins.FBA__033__FemSH"
     ChamelHeadSkins(21)="ChamelHeadSkins.FMA__028__FemSH"
     ChamelHeadSkins(22)="ChamelHeadSkins.FMA__034__FemSH"
     ChamelHeadSkins(23)="ChamelHeadSkins.FWA__026__FemLH"
     ChamelHeadSkins(24)="ChamelHeadSkins.FWA__027__FemLH"
     ChamelHeadSkins(25)="ChamelHeadSkins.FWA__029__FemSH"
     ChamelHeadSkins(26)="ChamelHeadSkins.FWA__032__FemSH"
     ChamelHeadSkins(27)="ChamelHeadSkins.FWF__023__FatFem"
     ChamelHeadSkins(28)="ChamelHeadSkins.FWA__037__FemSHcropped"
     ChamelHeadSkins(29)="ChamelHeadSkins.FMA__038__FemSHcropped"
     ChamelHeadSkins(30)="ChamelHeadSkins.FMA__039__FemSHcropped"
     ChamelHeadSkins(31)="ChamelHeadSkins.FWA__040__FemSHcropped"
     ChamelHeadSkins(32)="ChamelHeadSkins.MBF__042__FatMale"
     ChamelHeadSkins(33)="ChamelHeadSkins.FBF__043__FatFem"
     ChamelHeadSkins(34)="ChamelHeadSkins.FMF__044__FatFem"
     ChamelHeadSkins(35)="ChamelHeadSkins.FWA__031__FemSH"
     ChamelHeadSkins(36)="ChamelHeadSkins.FBA__063__FemSH"
     ChamelHeadSkins(37)="End"
     ChamelHeadMeshPkgs(0)="heads"
     bStartupRandomization=False
     Psychic=1.000000
     Champ=0.900000
     Cajones=1.000000
     Temper=1.000000
     Glaucoma=0.700000
     Twitch=1.000000
     Compassion=0.000000
     WarnPeople=0.000000
     Conscience=0.000000
     Beg=0.000000
     PainThreshold=1.000000
     Reactivity=0.500000
     Confidence=1.000000
     Rebel=0.000000
     Patience=0.500000
     WillKneel=0.050000
     WillUseCover=0.100000
     Talkative=0.200000
     Stomach=1.000000
     TalkWhileFighting=0.250000
     TakesShotgunHeadShot=0.150000
     TakesRifleHeadShot=0.300000
     TakesShovelHeadShot=0.250000
     TakesOnFireDamage=0.300000
     TakesAnthraxDamage=0.400000
     TakesShockerDamage=0.100000
     TalkBeforeFighting=1.000000
     dialogclass=Class'BasePeople.DialogHabib'
     BaseEquipment(0)=(WeaponClass=Class'Inventory.MachineGunWeapon')
     TakesChemDamage=0.500000
     HealthMax=175.000000
     bPersistent=True
     bCanTeleportWithPlayer=False
     bFriendWithAuthority=True
     bKeepForMovie=True
     ControllerClass=Class'AIPack.HabibController'
     Mesh=SkeletalMesh'Characters.Avg_M_SS_Pants'
     Skins(0)=Texture'ChameleonSkins.Special.Habib'
}
