//=========================================================================================
// RocketTrail.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Mail: Nick_Pv@mail.ru
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2011.
//=========================================================================================

class VehicleRocketTrail extends RocketTrail;

var sound RocketFlying;

simulated function Timer()
{
	PlaySound(RocketFlying, SLOT_Misc, 1.0, false, 512.0, 1.0);
	SetTimer(GetSoundDuration(RocketFlying), false);
}

defaultproperties
{
     RocketFlying=Sound'WeaponSounds.rocket_flying'
     Begin Object Class=SpriteEmitter Name=VehicleRocketTrailFX01
         MaxParticles=30
         StartLocationRange=(X=(Min=-3.000000,Max=3.000000),Y=(Min=-3.000000,Max=3.000000),Z=(Min=-3.000000,Max=3.000000))
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.300000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.050000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=0.100000)
         StartSizeRange=(X=(Min=70.000000,Max=110.000000))
         DrawStyle=PTDS_Brighten
         Texture=Texture'nathans.Skins.smoke5'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=0.500000,Max=0.500000)
         StartVelocityRange=(X=(Min=-15.000000,Max=15.000000),Y=(Min=-15.000000,Max=15.000000),Z=(Min=-15.000000,Max=15.000000))
         Name="VehicleRocketTrailFX01"
     End Object
     Emitters(0)=SpriteEmitter'VehicleRocketTrailFX01'
}
