//=============================================================================
// CarExhaust. (Car's exhaust trail)
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2010 - 2011.
//=============================================================================

class CarExhaust extends FireBall;

defaultproperties
{
     Begin Object Class=SuperSpriteEmitter Name=CarExhaustEmitterFX
         LocationShapeExtend=PTLSE_Circle
         Acceleration=(Z=60.000000)
         FadeOut=True
         StartLocationRange=(Z=(Max=10.000000))
         SphereRadiusRange=(Max=20.000000)
         UseRotationFrom=PTRS_Actor
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.050000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.200000)
         SizeScale(1)=(RelativeTime=0.400000,RelativeSize=1.000000)
         SizeScale(2)=(RelativeTime=1.000000,RelativeSize=0.500000)
         StartSizeRange=(X=(Min=30.000000,Max=30.000000))
         InitialParticlesPerSecond=100.000000
         AutomaticInitialSpawning=False
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'nathans.Skins.smoke5'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=1.000000,Max=2.500000)
         StartVelocityRange=(Y=(Min=-60.000000,Max=-80.000000))
         StartVelocityRadialRange=(Min=-5.000000,Max=-10.000000)
         VelocityLossRange=(X=(Min=0.700000,Max=0.700000),Y=(Min=0.700000,Max=0.700000),Z=(Min=1.000000,Max=1.000000))
         AddVelocityMultiplierRange=(X=(Min=0.100000,Max=0.500000),Y=(Min=0.100000,Max=0.500000),Z=(Min=0.100000,Max=0.500000))
         GetVelocityDirectionFrom=PTVD_AddRadial
         Name="CarExhaustEmitterFX"
     End Object
     Emitters(0)=SuperSpriteEmitter'CarExhaustEmitterFX'
     bReplicateMovement=True
     bFixedRotationDir=True
     bDirectional=True
}
