//=============================================================================
// PMMiscTimer_FixView.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2017.
//=============================================================================

class PMMiscTimer_FixView extends Actor;

var float VehicleHealth;

simulated function PostBeginPlay()
{
	SetTimer(0.1,false);
}

simulated function Timer()
{
	xForceReturnView(PlayerController(Owner));
	LifeSpan = 0.1;
}

simulated function xForceReturnView(PlayerController aPC)
{
	if( aPC == None || aPC.bInterpolating )
		return;
	aPC.MyHUD.bShowDebugInfo = false;
	aPC.CameraDist = aPC.default.CameraDist;
	aPC.FixFOV();
	if( VehicleHealth > 0 )
	{
		aPC.ClientSetViewTarget(aPC.Pawn);
		aPC.ClientSetBehindView(false);
	}
	///if( Level.NetMode == NM_Client )
	///	aPC.ClientMessage(VehicleHealth);
}

defaultproperties
{
	bHidden=true
}
