//=============================================================================
// FX by Steven Horton
//=============================================================================

class TireFXDirt extends TireFXBase;

defaultproperties
{
	 Begin Object Class=SpriteEmitter Name=DirtFXEmitter
         UseColorScale=True
         ColorScale(0)=(Color=(B=15,G=45,R=55,A=64))
         ColorScale(1)=(RelativeTime=0.100000,Color=(B=54,G=64,R=74,A=64))
         ColorScale(2)=(RelativeTime=0.900000,Color=(B=56,G=69,R=74,A=32))
         ColorScale(3)=(RelativeTime=1.000000,Color=(B=20,G=50,R=70))
         FadeOutStartTime=3.500000
         FadeOut=True
         MaxParticles=100
         RespawnDeadParticles=False
         StartLocationRange=(Y=(Min=-24.000000,Max=24.000000))
         UseRotationFrom=PTRS_Actor
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.025000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.550000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=3.000000)
         StartSizeRange=(X=(Min=50.000000,Max=80.000000),Y=(Min=50.000000,Max=80.000000),Z=(Min=50.000000,Max=80.000000))
         UniformSize=True
         AutomaticInitialSpawning=False
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'ProjectMaricaCore.S_Dirt'
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=1.000000,Max=5.500000)
         StartVelocityRange=(X=(Max=20.000000),Y=(Min=-30.000000,Max=30.000000),Z=(Max=20.000000))
         Name="DirtFXEmitter"
     End Object
     Emitters(0)=SpriteEmitter'DirtFXEmitter'
     AmbientSound=Sound'ProjectMaricaCore.WheelSlipDirt'
     SoundRadius=200.000000
     SoundVolume=0
}
