//=============================================================================
// FX by Steven Horton
//=============================================================================

class TireFXGrass extends TireFXBase;

defaultproperties
{
     Begin Object Class=SpriteEmitter Name=GrassFXEmitter
         Acceleration=(Z=-175.000000)
         UseColorScale=True
         ColorScale(0)=(Color=(B=30,G=90,R=110,A=128))
         ColorScale(1)=(RelativeTime=0.100000,Color=(G=80,R=60,A=128))
         ColorScale(2)=(RelativeTime=0.900000,Color=(G=64,R=40,A=64))
         ColorScale(3)=(RelativeTime=1.000000,Color=(G=70,R=50))
         MaxParticles=100
         RespawnDeadParticles=False
         StartLocationRange=(Y=(Min=-24.000000,Max=24.000000))
         UseRotationFrom=PTRS_Actor
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.025000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.250000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=0.700000)
         StartSizeRange=(X=(Min=50.000000,Max=50.000000),Y=(Min=50.000000,Max=50.000000),Z=(Min=50.000000,Max=50.000000))
         UniformSize=True
         AutomaticInitialSpawning=False
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'ProjectMaricaCore.S_Plant'
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=2.000000,Max=2.000000)
         StartVelocityRange=(Y=(Min=-30.000000,Max=30.000000),Z=(Min=60.000000,Max=120.000000))
         Name="GrassFXEmitter"
     End Object
     Emitters(0)=SpriteEmitter'GrassFXEmitter'
     AmbientSound=Sound'ProjectMaricaCore.WheelSlipGrass'
     SoundRadius=200.000000
     SoundVolume=0
     SoundPitch=85
}
