//=============================================================================
// FX by Steven Horton
//=============================================================================

class TireFXStone extends TireFXBase;

defaultproperties
{
     Begin Object Class=SpriteEmitter Name=StoneFXEmitter
         UseColorScale=True
         ColorScale(0)=(Color=(B=110,G=110,R=110,A=128))
         ColorScale(1)=(RelativeTime=0.100000,Color=(B=128,G=128,R=128,A=128))
         ColorScale(2)=(RelativeTime=0.900000,Color=(B=160,G=160,R=160,A=64))
         ColorScale(3)=(RelativeTime=1.000000,Color=(B=200,G=200,R=200))
         MaxParticles=100
         RespawnDeadParticles=False
         StartLocationRange=(Y=(Min=-24.000000,Max=24.000000))
         UseRotationFrom=PTRS_Actor
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.025000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.250000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.000000)
         StartSizeRange=(X=(Min=50.000000,Max=50.000000),Y=(Min=50.000000,Max=50.000000),Z=(Min=50.000000,Max=50.000000))
         UniformSize=True
         AutomaticInitialSpawning=False
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'ProjectMaricaCore.S_Rock'
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=1.000000,Max=2.000000)
         StartVelocityRange=(X=(Min=10.000000,Max=20.000000),Y=(Min=-30.000000,Max=30.000000),Z=(Min=10.000000,Max=20.000000))
         Name="StoneFXEmitter"
     End Object
     Emitters(0)=SpriteEmitter'StoneFXEmitter'
     AmbientSound=Sound'ProjectMaricaCore.WheelSlipRock'
     SoundRadius=200.000000
     SoundVolume=0
}
