//=============================================================================
// UnderWaterExplosionEffect.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2010.
//=============================================================================

class UnderWaterExplosionEffect extends Emitter;

defaultproperties
{
     Begin Object Class=SpriteEmitter Name=UnderWaterExplosionEffectEmitterFX01
         UseColorScale=True
         RespawnDeadParticles=False
         SpinParticles=True
         UseSizeScale=True
         UniformSize=True
         AutomaticInitialSpawning=False
         BlendBetweenSubdivisions=True
         Acceleration=(Z=-180.000000)
         ColorScale(0)=(Color=(B=255,G=250,R=200))
         ColorScale(1)=(RelativeTime=0.800000,Color=(B=255,G=250,R=200))
         ColorScale(2)=(RelativeTime=1.000000)
         StartLocationRange=(Z=(Max=15.000000))
         StartSpinRange=(X=(Max=1.000000))
         SizeScale(0)=(RelativeSize=1.200000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.500000)
         StartSizeRange=(X=(Min=10.000000,Max=20.000000))
         InitialParticlesPerSecond=50.000000
         Texture=Texture'ProjectMaricaCore.xSplashBase'
         TextureUSubdivisions=2
         TextureVSubdivisions=2
         LifetimeRange=(Min=0.800000,Max=0.800000)
         StartVelocityRange=(Z=(Min=50.000000,Max=95.000000))
     End Object
     Emitters(0)=SpriteEmitter'UnderWaterExplosionEffectEmitterFX01'
     Begin Object Class=SpriteEmitter Name=UnderWaterExplosionEffectEmitterFX02
         UseColorScale=True
         FadeOut=True
         RespawnDeadParticles=False
         SpinParticles=True
         UseSizeScale=True
         UseRegularSizeScale=False
         UniformSize=True
         AutomaticInitialSpawning=False
         BlendBetweenSubdivisions=True
         Acceleration=(Z=-150.000000)
         ColorScale(0)=(Color=(B=255,G=250,R=200))
         ColorScale(1)=(RelativeTime=1.000000,Color=(B=255,G=250,R=200))
         FadeOutStartTime=0.500000
         MaxParticles=12
         StartSpinRange=(X=(Max=1.000000))
         SizeScale(0)=(RelativeSize=0.200000)
         SizeScale(1)=(RelativeTime=0.500000,RelativeSize=1.000000)
         SizeScale(2)=(RelativeTime=1.000000,RelativeSize=1.500000)
         StartSizeRange=(X=(Min=20.000000,Max=30.000000))
         InitialParticlesPerSecond=500.000000
         Texture=Texture'ProjectMaricaCore.xWaterDrops2'
         TextureUSubdivisions=1
         TextureVSubdivisions=2
         LifetimeRange=(Min=1.200000,Max=1.200000)
         StartVelocityRange=(X=(Min=-32.000000,Max=32.000000),Y=(Min=-32.000000,Max=32.000000),Z=(Min=80.000000,Max=160.000000))
     End Object
     Emitters(1)=SpriteEmitter'UnderWaterExplosionEffectEmitterFX02'
     AutoDestroy=True
     bNoDelete=False
     bHighDetail=True
}
