//=============================================================================
// Water splash emitter.
// from UT2004.
// Epic Games, All Rights Reserved.
//=============================================================================
class WaterSplash extends Emitter;

defaultproperties
{
     Begin Object Class=SpriteEmitter Name=WaterSplashEmitterFX01
         UseDirectionAs=PTDU_Normal
         UseColorScale=True
         ColorScale(0)=(Color=(B=255,G=234,R=168))
         ColorScale(1)=(RelativeTime=0.600000,Color=(B=253,G=253,R=253))
         ColorScale(2)=(RelativeTime=1.000000)
         MaxParticles=3
         RespawnDeadParticles=False
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.100000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.000000)
         StartSizeRange=(X=(Min=20.000000))
         UniformSize=True
         InitialParticlesPerSecond=32.000000
         AutomaticInitialSpawning=False
         Texture=Texture'ProjectMaricaCore.xCausticRing2'
         LifetimeRange=(Min=0.800000,Max=0.800000)
         Name="WaterSplashEmitterFX01"
     End Object
     Emitters(0)=SpriteEmitter'WaterSplashEmitterFX01'
     Begin Object Class=SpriteEmitter Name=WaterSplashEmitterFX02
         UseDirectionAs=PTDU_Up
         Acceleration=(Z=-180.000000)
         UseColorScale=True
         ColorScale(0)=(Color=(B=245,G=240,R=137))
         ColorScale(1)=(RelativeTime=0.800000,Color=(B=223,G=231,R=88))
         ColorScale(2)=(RelativeTime=1.000000)
         MaxParticles=25
         RespawnDeadParticles=False
         SizeScale(0)=(RelativeSize=0.200000)
         SizeScale(1)=(RelativeTime=0.400000,RelativeSize=0.700000)
         SizeScale(2)=(RelativeTime=1.000000,RelativeSize=0.300000)
         StartSizeRange=(X=(Min=4.000000,Max=5.000000))
         UniformSize=True
         InitialParticlesPerSecond=5000.000000
         AutomaticInitialSpawning=False
         Texture=Texture'ProjectMaricaCore.xSparkHead'
         LifetimeRange=(Min=0.800000,Max=0.800000)
         StartVelocityRange=(X=(Min=-30.000000,Max=30.000000),Y=(Min=-30.000000,Max=30.000000),Z=(Min=85.000000,Max=140.000000))
         Name="WaterSplashEmitterFX02"
     End Object
     Emitters(1)=SpriteEmitter'WaterSplashEmitterFX02'
     Begin Object Class=SpriteEmitter Name=WaterSplashEmitterFX03
         Acceleration=(Z=-180.000000)
         UseColorScale=True
         ColorScale(0)=(Color=(B=255,G=250,R=200))
         ColorScale(1)=(RelativeTime=0.800000,Color=(B=255,G=250,R=200))
         ColorScale(2)=(RelativeTime=1.000000)
         RespawnDeadParticles=False
         StartLocationRange=(Z=(Max=15.000000))
         SpinParticles=True
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         SizeScale(0)=(RelativeSize=1.000000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=0.800000)
         StartSizeRange=(X=(Min=10.000000,Max=20.000000))
         UniformSize=True
         InitialParticlesPerSecond=50.000000
         AutomaticInitialSpawning=False
         Texture=Texture'ProjectMaricaCore.xSplashBase'
         TextureUSubdivisions=2
         TextureVSubdivisions=2
         BlendBetweenSubdivisions=True
         LifetimeRange=(Min=0.800000,Max=0.800000)
         StartVelocityRange=(Z=(Min=50.000000,Max=85.000000))
         Name="WaterSplashEmitterFX03"
     End Object
     Emitters(2)=SpriteEmitter'WaterSplashEmitterFX03'
     Begin Object Class=SpriteEmitter Name=WaterSplashEmitterFX04
         Acceleration=(Z=-150.000000)
         UseColorScale=True
         ColorScale(0)=(Color=(B=255,G=250,R=200))
         ColorScale(1)=(RelativeTime=1.000000,Color=(B=255,G=250,R=200))
         FadeOutStartTime=0.500000
         FadeOut=True
         MaxParticles=12
         RespawnDeadParticles=False
         SpinParticles=True
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.200000)
         SizeScale(1)=(RelativeTime=0.500000,RelativeSize=1.000000)
         SizeScale(2)=(RelativeTime=1.000000,RelativeSize=1.500000)
         StartSizeRange=(X=(Min=20.000000,Max=30.000000))
         UniformSize=True
         InitialParticlesPerSecond=500.000000
         AutomaticInitialSpawning=False
         Texture=Texture'ProjectMaricaCore.xWaterDrops2'
         TextureUSubdivisions=1
         TextureVSubdivisions=2
         BlendBetweenSubdivisions=True
         LifetimeRange=(Min=1.200000,Max=1.200000)
         StartVelocityRange=(X=(Min=-24.000000,Max=24.000000),Y=(Min=-24.000000,Max=24.000000),Z=(Min=70.000000,Max=115.000000))
         Name="WaterSplashEmitterFX04"
     End Object
     Emitters(3)=SpriteEmitter'WaterSplashEmitterFX04'
     AutoDestroy=True
     bNoDelete=False
     bHighDetail=True
}
