//=============================================================================
// WheelFireEmitter. (Special fire emitter that attaches 
//						to car after car broken!)
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2011.
//=============================================================================

class WheelFireEmitter extends P2Emitter;

defaultproperties
{
     Begin Object Class=SpriteEmitter Name=WheelFireEmitterFX01
         FadeOutStartTime=0.400000
         FadeOut=True
         MaxParticles=20
         StartLocationRange=(X=(Min=-25.000000,Max=25.000000),Y=(Min=-25.000000,Max=25.000000),Z=(Min=-25.000000,Max=25.000000))
         AlphaRef=5
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.500000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.300000)
         SizeScale(1)=(RelativeTime=0.200000,RelativeSize=0.500000)
         SizeScale(2)=(RelativeTime=1.000000)
         StartSizeRange=(X=(Min=35.000000,Max=55.000000))
         ParticlesPerSecond=15.000000
         InitialParticlesPerSecond=25.000000
         AutomaticInitialSpawning=False
         Texture=Texture'nathans.Skins.firegroup3'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SubdivisionStart=2
         SubdivisionEnd=2
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=0.500000,Max=0.500000)
         StartVelocityRange=(X=(Min=-35.000000,Max=35.000000),Y=(Min=-35.000000,Max=35.000000),Z=(Min=100.000000,Max=100.000000))
         Name="WheelFireEmitterFX01"
     End Object
     Emitters(0)=SpriteEmitter'WheelFireEmitterFX01'
     Begin Object Class=SuperSpriteEmitter Name=WheelFireEmitterFX02
         FadeOutStartTime=0.800000
         FadeOut=True
         MaxParticles=6
         StartLocationOffset=(Z=40.000000)
         StartLocationRange=(X=(Min=-20.000000,Max=20.000000),Y=(Min=-20.000000,Max=20.000000))
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.300000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.500000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.000000)
         StartSizeRange=(X=(Min=80.000000,Max=120.000000))
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'ProjectMaricaCore.SmokeFX'
         TextureUSubdivisions=2
         TextureVSubdivisions=2
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=3.000000,Max=3.000000)
         StartVelocityRange=(X=(Min=-15.000000,Max=15.000000),Y=(Min=-15.000000,Max=15.000000),Z=(Min=15.000000,Max=20.000000))
         Name="WheelFireEmitterFX02"
     End Object
     Emitters(1)=SuperSpriteEmitter'WheelFireEmitterFX02'
     AutoDestroy=True
     bReplicateMovement=True
     LifeSpan=30.000000
}
