//=============================================================================
// tExploPillar.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2009 - 2011. (Since EvilCat vehicle)
//=============================================================================

class tExploPillar extends P2Emitter;

var bool bStopped;
const MOVE_TIME	=	0.3;

auto state Active
{
	simulated function ProcessTouch(Actor Other, Vector HitLocation)
	{
		Stopping();
	}
	simulated function HitWall (vector HitNormal, actor Wall)
	{
		Stopping();
	}

	function Stopping()
	{
		local FireBall fp;
		if(!bStopped)
		{
			bStopped=true;
			Velocity.Z=0;
			spawn(class'tExploBall',,,Location);
		}
	}
Begin:
	Sleep(MOVE_TIME);
	Stopping();
}

defaultproperties
{
     Begin Object Class=SuperSpriteEmitter Name=tExploPillarEmitterFX01
         MaxParticles=25
         RespawnDeadParticles=False
         StartLocationOffset=(Z=-20.000000)
         StartLocationRange=(X=(Min=-30.000000,Max=30.000000),Y=(Min=-30.000000,Max=30.000000),Z=(Min=-30.000000,Max=30.000000))
         AlphaRef=5
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.100000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(1)=(RelativeTime=0.100000,RelativeSize=1.000000)
         SizeScale(2)=(RelativeTime=1.000000,RelativeSize=0.750000)
         StartSizeRange=(X=(Min=80.000000,Max=120.000000))
         InitialParticlesPerSecond=50.000000
         AutomaticInitialSpawning=False
         Texture=Texture'nathans.Skins.expl1color'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=2.000000)
         StartVelocityRange=(X=(Min=-20.000000,Max=20.000000),Y=(Min=-20.000000,Max=20.000000),Z=(Min=5.000000,Max=30.000000))
         VelocityLossRange=(X=(Min=0.500000,Max=0.500000),Y=(Min=0.500000,Max=0.500000))
         Name="tExploPillarEmitterFX01"
     End Object
     Emitters(0)=SuperSpriteEmitter'tExploPillarEmitterFX01'
     Begin Object Class=SuperSpriteEmitter Name=tExploPillarEmitterFX02
         RespawnDeadParticles=False
         StartLocationOffset=(Z=-20.000000)
         StartLocationRange=(X=(Min=-30.000000,Max=30.000000),Y=(Min=-30.000000,Max=30.000000),Z=(Min=-30.000000,Max=30.000000))
         AlphaRef=5
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.200000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(1)=(RelativeTime=0.100000,RelativeSize=1.000000)
         SizeScale(2)=(RelativeTime=1.000000,RelativeSize=0.750000)
         StartSizeRange=(X=(Min=60.000000,Max=90.000000))
         InitialParticlesPerSecond=50.000000
         AutomaticInitialSpawning=False
         DrawStyle=PTDS_AlphaModulate_MightNotFogCorrectly
         Texture=Texture'nathans.Skins.expl1color'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=2.000000)
         StartVelocityRange=(X=(Min=-20.000000,Max=20.000000),Y=(Min=-20.000000,Max=20.000000),Z=(Min=5.000000,Max=30.000000))
         VelocityLossRange=(X=(Min=0.500000,Max=0.500000),Y=(Min=0.500000,Max=0.500000))
         Name="tExploPillarEmitterFX02"
     End Object
     Emitters(1)=SuperSpriteEmitter'tExploPillarEmitterFX02'
     Begin Object Class=SuperSpriteEmitter Name=tExploPillarEmitterFX03
         FadeOut=True
         MaxParticles=30
         RespawnDeadParticles=False
         StartLocationRange=(X=(Min=-30.000000,Max=30.000000),Y=(Min=-30.000000,Max=30.000000),Z=(Min=-30.000000,Max=30.000000))
         AlphaRef=5
         SpinParticles=True
         SpinsPerSecondRange=(X=(Min=0.100000,Max=0.200000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(1)=(RelativeTime=0.500000,RelativeSize=1.000000)
         SizeScale(2)=(RelativeTime=1.000000)
         SizeScaleRepeats=3.000000
         StartSizeRange=(X=(Min=3.000000,Max=5.000000))
         InitialParticlesPerSecond=150.000000
         AutomaticInitialSpawning=False
         DrawStyle=PTDS_Brighten
         Texture=Texture'nathans.Skins.firenapalm'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=3.000000,Max=5.000000)
         StartVelocityRange=(X=(Min=-20.000000,Max=20.000000),Y=(Min=-20.000000,Max=20.000000),Z=(Min=10.000000,Max=30.000000))
         VelocityLossRange=(X=(Min=0.500000,Max=0.500000),Y=(Min=0.500000,Max=0.500000))
         Name="tExploPillarEmitterFX03"
     End Object
     Emitters(2)=SuperSpriteEmitter'tExploPillarEmitterFX03'
     AutoDestroy=True
     Physics=PHYS_Projectile
     Velocity=(Z=1000.000000)
     bCollideActors=True
     bCollideWorld=True
     bBounce=True
}
