//=============================================================================
// tVehicleExplosion.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2009 - 2011. (Since EvilCat vehicle)
//=============================================================================

class tVehicleExplosion extends MolotovExplosion;

auto state Exploding
{
	function MakePillar()
	{
		local vector loc;

		loc = 2*UseNormal + Location;
		spawn(class'tExploPillar',,,loc);
	}
Begin:
	MakeBase();
	MakePillar();
	PlaySound(ExplodingSound,,1.0,,,,true);
	CheckHurtRadius(ExplosionDamage, ExplosionRadius, MyDamageType, ExplosionMag, ForceLocation);
	NotifyPawns();
	Sleep(0.6);
}

defaultproperties
{
	 ExplodingSound=None
     ballclass=Class'tExploBall'
     breakclass=None
     ExplosionMag=250000.000000
     ExplosionDamage=400.000000
     ExplosionRadius=800.000000
     //MyDamageType=Class'BaseFX.ExplodedDamage'
	 MyDamageType=Class'NVExplodeCarDamage'
     Begin Object Class=SpriteEmitter Name=tVehicleExplosionEmitterFX01
         MaxParticles=25
         RespawnDeadParticles=False
         StartLocationRange=(X=(Min=-80.000000,Max=80.000000),Y=(Min=-80.000000,Max=80.000000),Z=(Min=-80.000000,Max=80.000000))
         AlphaRef=5
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.100000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(1)=(RelativeTime=0.100000,RelativeSize=0.700000)
         SizeScale(2)=(RelativeTime=1.000000,RelativeSize=1.000000)
         StartSizeRange=(X=(Min=150.000000,Max=200.000000))
         InitialParticlesPerSecond=100.000000
         AutomaticInitialSpawning=False
         Texture=Texture'nathans.Skins.expl1color'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=3.000000,Max=3.500000)
         StartVelocityRange=(X=(Min=-300.000000,Max=300.000000),Y=(Min=-300.000000,Max=300.000000),Z=(Min=-100.000000,Max=100.000000))
         VelocityLossRange=(X=(Min=2.000000,Max=2.000000),Y=(Min=2.000000,Max=2.000000),Z=(Min=2.000000,Max=2.000000))
         Name="tVehicleExplosionEmitterFX01"
     End Object
     Emitters(0)=SpriteEmitter'tVehicleExplosionEmitterFX01'
     Begin Object Class=SpriteEmitter Name=tVehicleExplosionEmitterFX02
         UseDirectionAs=PTDU_Up
         FadeOutStartTime=0.100000
         FadeOut=True
         FadeInEndTime=0.200000
         FadeIn=True
         MaxParticles=20
         RespawnDeadParticles=False
         StartLocationShape=PTLS_Sphere
         SphereRadiusRange=(Min=100.000000,Max=300.000000)
         StartSizeRange=(X=(Min=0.500000,Max=1.000000),Y=(Min=10.000000,Max=30.000000))
         InitialParticlesPerSecond=200.000000
         AutomaticInitialSpawning=False
         Texture=Texture'nathans.Skins.blast1'
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=1.000000,Max=1.000000)
         StartVelocityRadialRange=(Min=900.000000,Max=1000.000000)
         VelocityLossRange=(X=(Min=1.500000,Max=1.500000),Y=(Min=1.500000,Max=1.500000),Z=(Min=1.500000,Max=1.500000))
         GetVelocityDirectionFrom=PTVD_AddRadial
         Name="tVehicleExplosionEmitterFX02"
     End Object
     Emitters(1)=SpriteEmitter'tVehicleExplosionEmitterFX02'
     Begin Object Class=SpriteEmitter Name=tVehicleExplosionEmitterFX03
         Acceleration=(Z=-600.000000)
         MaxParticles=25
         RespawnDeadParticles=False
         Disabled=True
         StartLocationRange=(X=(Min=-3.000000,Max=3.000000),Y=(Min=-3.000000,Max=3.000000),Z=(Min=-3.000000,Max=3.000000))
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=2.000000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=1.000000)
         SizeScale(1)=(RelativeTime=1.000000)
         StartSizeRange=(X=(Min=5.000000,Max=35.000000))
         InitialParticlesPerSecond=300.000000
         AutomaticInitialSpawning=False
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'nathans.Skins.bloodimpacts'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         UseRandomSubdivision=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=1.000000,Max=1.000000)
         StartVelocityRange=(X=(Min=-300.000000,Max=300.000000),Y=(Min=-300.000000,Max=300.000000),Z=(Max=500.000000))
         Name="tVehicleExplosionEmitterFX03"
     End Object
     Emitters(2)=SpriteEmitter'tVehicleExplosionEmitterFX03'
}
