//=============================================================================
// DragonSpitFire.uc
// Author: Nick Pilshikov "Evil"
// Email: Nick_Pv@mail.ru / EvilTheDark@gmail.com
// Site: Set-Games.ru / Revival-Games.ru
// Revival Games Studios.
// 2014.
//=============================================================================

class DragonSpitFire extends P2Emitter;

defaultproperties
{
     Begin Object Class=SuperSpriteEmitter Name=DragonFireSpitFX01
         LocationShapeExtend=PTLSE_Circle
		 UseRotationFrom=PTRS_Actor
         Acceleration=(Z=60.000000)
         ColorScale(1)=(Color=(B=180,G=240,R=255))
         ColorScale(2)=(RelativeTime=1.000000,Color=(G=41,R=137))
         FadeOut=True
         MaxParticles=25
         RespawnDeadParticles=False
         SphereRadiusRange=(Max=10.000000)
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.300000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.200000)
         SizeScale(1)=(RelativeTime=0.300000,RelativeSize=1.000000)
         SizeScale(2)=(RelativeTime=1.000000,RelativeSize=0.500000)
         StartSizeRange=(X=(Min=120.000000,Max=180.000000))
         InitialParticlesPerSecond=100.000000
         AutomaticInitialSpawning=False
         DrawStyle=PTDS_Brighten
         Texture=Texture'nathans.Skins.firegroup2'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=1.5,Max=1.5)
         StartVelocityRange=(X=(Min=3000.000000,Max=3000.000000))
         StartVelocityRadialRange=(Min=-150.000000,Max=-150.000000)
         VelocityLossRange=(X=(Min=0.800000,Max=0.800000),Y=(Min=0.800000,Max=0.800000),Z=(Min=1.000000,Max=1.000000))
         GetVelocityDirectionFrom=PTVD_None
         Name="DragonFireSpitFX01"
     End Object
     Emitters(0)=SuperSpriteEmitter'DragonFireSpitFX01'
     //AutoDestroy=True
     bReplicateMovement=True
     bFixedRotationDir=True
     bDirectional=True
}
