//=============================================================================
// CarmageddonRocket.uc
// Author: Nick Pilshikov "Evil"
// Email: Nick_Pv@mail.ru / EvilTheDark@gmail.com
// Site: Set-Games.ru / Revival-Games.ru
// Revival Games Studios.
// 2015.
//=============================================================================

class CarmageddonRocket extends NKVMissileProjectile;

auto state Eject
{
	ignores TakeDamage;	 // so they won't blow up right outta the launcher.

	simulated function BeginState()
	{
		//PlayAnim('Still', 0.1);
		SetTimer(0.4, false);
		// We jumped out, so make a smoke puff nearby
		EmitSmokePuff(0.3);

		PlaySound(RocketLaunch, SLOT_Misc, 1.0, false, 512.0, 1.0);
	}

Begin:
	Sleep(0.01);
	GotoState('Flying');
}

defaultproperties
{
     speed=4500.0
     MaxSpeed=4500.0

	 DrawScale3D=(X=1.0,Y=0.5,Z=0.5)

     CollisionRadius=8.0
     CollisionHeight=8.0
}
