//=============================================================================
// Dude's car.
//
// Base model: model by Running With Scissors.
//
// Official page of mod:
// "How to made own car? You can find answer here!" How to use this class:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2011.
//=============================================================================

class DudesCar extends NKVCarNew;

defaultproperties
{
	 Tag="Volkswagen Golf 1987"
	 ShadowZ=0.0
	 bCanSeeDriver=True
	 DriverPos=(X=-2.000000,Y=-36.000000,Z=-5.000000)
	 FPDriverViewPos=(X=-5.000000,Y=-39.000000,Z=52.000000)
	 FPPassengerViewPos=(X=-5.000000,Y=39.000000,Z=52.000000)
	 PassengerPos=(X=-2.000000,Y=36.000000,Z=-5.000000)

	 RearMoveAccel=0.5
	 SlipVolume=15.0
	 SteerWheelBone="SteerWheel"
	 DestroyBones(0)="bumper_bone_front"
	 DestroyBones(1)="bumper_bone_rear"
	 DestroyBones(2)="Windows"

	 TorqueCurve=(Points=((InVal=0.0,OutVal=30.0),(InVal=550000.0,OutVal=70.0),(InVal=800000.0))

	 WheelRadius=30.0
	 ActionAngularDamp=0.0
	 RestAngularDamp=0.45

     EngStartUpSound=None
     EngStopSound=None
     //EngStartUpSound=Sound'MaricaSounds.ut_engine_start_02'
     //EngStopSound=Sound'MaricaSounds.ut_engine_stop_02'
	 ImpactSoundsMin(0)=Sound'MaricaSounds.ut_impact_03'
	 ImpactSoundsMed(0)=Sound'MaricaSounds.ut_impact_01'
	 ImpactSoundsMed(1)=Sound'MaricaSounds.ut_impact_02'
	 ImpactSoundsMax(0)=Sound'MaricaSounds.ut_impact_04'
	 ImpactSoundsMax(1)=Sound'MaricaSounds.ut_impact_05'
	 ImpactSoundsMax(2)=Sound'MaricaSounds.ut_impact_06'
	 ImpactSoundsMax(3)=Sound'MaricaSounds.ut_impact_07'

	 ShadowLightDistance=1200
	 ShadowMaxTraceDistance=300

	 CameraDist=12.0
	 bFixedFPCamera=false
	 bAllowChangeView=True
	 Description="Volkswagen Golf 1987. || Model by RWS, full remake by Nick Evil."
	 bAllowBrokenWheels=True
	 bSpawnBrokenDetail=True

	 FrontLightMaterial=Texture'GenFX.LensFlar.6'
	 RearLightMaterial=Texture'GenFX.LensFlar.softlens2'
	 RearLightStopScale=0.200000
	 RearLightScale=0.100000
	 FrontLightScale=0.200000
     FrontLightClass=Class'NVFrontCarLight'
     RearLightClass=Class'NVRearCarLight'
     FrontLightPos(0)=(X=190.000000,Y=51.000000,Z=-2.000000)
     FrontLightPos(1)=(X=190.000000,Y=-51.000000,Z=-2.000000)
     RearLightPos(0)=(X=-165.000000,Y=45.000000,Z=10.000000)
     RearLightPos(1)=(X=-165.000000,Y=-45.000000,Z=1.000000)

     ExhaustClass=Class'CarExhaust'
	 ExhaustPos(0)=(X=-168.000000,Y=35.000000,Z=-40.000000)

	 DecoSystem=DS_Bones
	 ExhaustBones(0)="Exhaust"

	 FrontLightBones(0)="FrontLight00"
	 FrontLightBones(1)="FrontLight01"

	 RearLightBones(0)="RearLight00"
	 RearLightBones(1)="RearLight01"

	 bUpdateSusp=True
	 RSuspHighLimit=8.000000
	 RSuspLowLimit=-11.000000
     ExitPos=(Y=-140.000000,Z=15.000000)
     ExitPosPassenger=(Y=140.000000,Z=15.000000)
     EnterPos=(Y=145.000000,Z=-5.000000)
	 WheelFrontRight="RightFrontTIRE"
	 WheelFrontLeft="LeftFrontTIRE"
	 WheelRearRight="RightRearTIRE"
	 WheelRearLeft="LeftRearTIRE"
	 StrutFrontRight=""
	 StrutFrontLeft=""
	 StrutRearRight=""
	 StrutRearLeft=""
	 IntCollisionSize=(X=1,Y=1,Z=1)
	 IntCollisionModel=StaticMesh'MaricaCollision.GolfColl.GolfIntColl'
	 IntCollisionClass=Class'IntCollisionActor'

	 LightProjectorClass=class'NVLightProjector'
	 ProjLightPos=(X=50.000000,Y=0.000000,Z=20.000000)
	 ProjectedLightRot=(Pitch=-100)
	 ProjLightMaterial=Texture'MaricaTextures.Effects.LightProj_01'
	 ProjLightFOV=40
	 ProjLightScale=0.400000

	 bCarIsRTWD=False
     bCarIsFTWD=True
     MaxSpeedAccel=25.000000
	 VehicleMaxSpeed=435350.000000
     ChassisMass=2.7500000
	 MaxBrakeTorque=40.000000

	 RadiatorPos=(X=125.000000,Y=0.000000,Z=25.000000)
     VehicleFireClass=Class'VehicleFireEmitter'

	 BrokenSkins(0)=Texture'MaricaTextures.FrtTex.FrtTire_Skin_01_exp'
	 BrokenSkins(1)=Texture'MaricaTextures.GolfTex.GolfSkin_destroyed'
	 BrokenSkins(2)=Shader'MaricaTextures.FrtTex.FrtSkin_s_destroyed'
	 BrokenSkins(3)=Texture'MaricaTextures.GolfTex.GolfSkin_destroyed'
	 BrokenSkins(4)=Shader'Timb.Misc.invisible_mask'
	 BrokenSkins(5)=Shader'Timb.Misc.invisible_mask'
	 BrokenSkins(6)=Shader'Timb.Misc.invisible_mask'

	 bDamagableWheels=True
	 WheelsHealth=50
	 WheelsMaxHealth=100
	 UnloadWheelHeight=0.013200
	 bSparkWheels=True
     EngTireClass=Class'DudesCarTire'
     SteerTireClass=Class'DudesCarTire'
     WheelSteerAlong=107.000000
     WheelSteerAcross=65.000000
     WheelEngAlong=-104.500000
     WheelEngAcross=65.000000
     WheelVert=-40.0
     SuspStiffness=200.0
     SuspDamping=5.0
     SuspHighLimit=0.200000
     SuspLowLimit=-0.200000
     TireRollFriction=2.200000
     TireLateralFriction=3.200000
	 TireRollSlip=0.060000
	 TireLateralSlip=0.040000
	 TireSlipRate=0.007000
	 MaxSteerAngle=2500.000000

	 EngineVolume=95.0
	 EnginePitch=30
     EngineSound=Sound'MaricaSounds.UnWheel_idle12'
     ImpactSounds(0)=Sound'MaricaSounds.ut_impact_01'
     ImpactSounds(1)=Sound'MaricaSounds.ut_impact_02'

     StaticMesh=StaticMesh'MaricaCollision.GolfColl.GolfKColl'
	 Mesh=SkeletalMesh'MaricaModels.DudesCar'

     //SteerSpeed=30000.000000
	 SteerTorque=1000.000000

	 bRandomSkin=True
	 SkinIndex=1
	 Skins(0)=Texture'MaricaTextures.FrtTex.FrtTire_Skin_01'
	 Skins(1)=Shader'MaricaTextures.GolfTex.GolfSkin_01'
	 OtherSkins(0)=Shader'MaricaTextures.GolfTex.GolfSkin_01'
	 OtherSkins(1)=Shader'MaricaTextures.GolfTex.GolfSkin_02'
	 OtherSkins(2)=Shader'MaricaTextures.GolfTex.GolfSkin_03'
	 OtherSkins(3)=Shader'MaricaTextures.GolfTex.GolfSkin_04'

     Begin Object Class=KarmaParamsRBFull Name=DudesCarPhysics
         //KInertiaTensor(0)=20.000000
         //KInertiaTensor(3)=30.000000
         //KInertiaTensor(5)=48.000000
         KInertiaTensor(0)=5.000000
         KInertiaTensor(3)=12.000000
         KInertiaTensor(5)=16.000000
         KCOMOffset=(X=0.0,Z=-1.0)
		 KLinearDamping=0.050000
         KAngularDamping=0.450000
         KStartEnabled=True
         bKNonSphericalInertia=True
         KFriction=0.200000
         KImpactThreshold=250.000000
         Name="DudesCarPhysics"
     End Object
     KParams=KarmaParamsRBFull'DudesCarPhysics'
}