//=============================================================================
// NKVTurrel.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// T-ModZ. All Rights Reserved.
//=============================================================================

class NKVTurrel extends Actor;

var NKVehicle Chassis;
var vector FireOffset;
var vector EffectOffset;
var class<Projectile> FiringAmmunition;
var class<Emitter> EffectClass;
var	Pawn DriverInstigator;

replication
{
	unreliable if( bNetDirty && Role == ROLE_Authority )
		DriverInstigator;
	unreliable if( Role == ROLE_Authority )
		Chassis;
}

simulated function DoFire(optional Actor EnemyTarget)
{
	Instigator = DriverInstigator;
	if( FiringAmmunition != None )
		spawn(FiringAmmunition,Instigator,,Location + (FireOffset >> Rotation), Rotation);
	if( EffectClass != None )
		spawn(EffectClass,Instigator,,Location + (EffectOffset >> Rotation), Rotation);
}


defaultproperties
{
     bProjTarget=False
	 bUseCylinderCollision=False
     bCollideActors=False
     bCollideWorld=False
     bBlockActors=False
     bBlockPlayers=False
}
