//=============================================================================
// PMCop. (ProjectMarica's multiplayer npc bystanders)
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2011.
//=============================================================================

class PMBystanderMale extends PMBystander;

defaultproperties
{
	 MeshHead(0)=SkeletalMesh'heads.AvgMaleBig'
	 MeshHead(1)=SkeletalMesh'heads.AvgMale'
	 MeshHead(2)=SkeletalMesh'heads.AvgMale'
	 MeshHead(3)=SkeletalMesh'heads.AvgDude'
	 MeshHead(4)=SkeletalMesh'heads.FatMale'

	 MeshHeadSkin(0)=Texture'ChamelHeadSkins.Male.MWA__022__AVgMaleBig'
	 MeshHeadSkin(1)=Texture'ChamelHeadSkins.Male.MWA__006__AvgMale'
	 MeshHeadSkin(2)=Texture'ChamelHeadSkins.Male.MWA__002__AvgMale'
	 MeshHeadSkin(3)=Texture'ChamelHeadSkins.Special.Dude'
	 MeshHeadSkin(4)=Texture'ChamelHeadSkins.Male.MMF__024__FatMale'

	 MeshBody(0)=SkeletalMesh'MP_Characters.Avg_M_SS_Pants'
	 MeshBody(1)=SkeletalMesh'MP_Characters.Avg_M_SS_Pants'
	 MeshBody(2)=SkeletalMesh'MP_Characters.Avg_M_SS_Pants'
	 MeshBody(3)=SkeletalMesh'MP_Characters.Avg_M_SS_Pants'
	 MeshBody(4)=SkeletalMesh'MP_Characters.Avg_M_SS_Shorts'
	 MeshBody(5)=SkeletalMesh'MP_Characters.Avg_M_SS_Shorts'
	 MeshBody(6)=SkeletalMesh'MP_Characters.Avg_M_SS_Pants'
	 MeshBody(7)=SkeletalMesh'MP_Characters.Avg_M_SS_Pants'

	 MeshBodySkin(0)=Texture'ChameleonSkins.Rednecks.MW__055__Avg_M_SS_Pants'
	 MeshBodySkin(1)=Texture'ChameleonSkins.Special.RWS_Pants'
	 MeshBodySkin(2)=Texture'ChameleonSkins.Special.UncleDave'
	 MeshBodySkin(3)=Texture'ChameleonSkins.Zealots.MW__059__Avg_M_SS_Pants'
	 MeshBodySkin(4)=Texture'ChameleonSkins.Special.RWS_Shorts'
	 MeshBodySkin(5)=Texture'ChameleonSkins.BystandersM.MW__062__Avg_M_SS_Shorts'
	 MeshBodySkin(6)=Texture'ChameleonSkins.BandMember.FW__117__Fem_LS_Pants'
	 MeshBodySkin(7)=Texture'ChameleonSkins.Bums.MW__013__Avg_M_Jacket_Pants'

	 bIsFemale=False
     HeadMesh=SkeletalMesh'heads.AvgMale'
     BodyHitSounds(0)=Sound'MiscSounds.People.bodyhitground1'
     BodyHitSounds(1)=Sound'MiscSounds.People.bodyhitground2'
     ChameleonMeshPkgs(0)="Characters"
     ChamelHeadSkins(0)="ChamelHeadSkins.MWA__001__AvgMale"
     ChamelHeadSkins(1)="ChamelHeadSkins.MBA__013__AvgBrotha"
     ChamelHeadSkins(2)="ChamelHeadSkins.MBA__014__AvgBrotha"
     ChamelHeadSkins(3)="ChamelHeadSkins.MMA__016__AvgMale"
     ChamelHeadSkins(4)="ChamelHeadSkins.MMF__024__FatMale"
     ChamelHeadSkins(5)="ChamelHeadSkins.MWA__002__AvgMale"
     ChamelHeadSkins(6)="ChamelHeadSkins.MMA__003__AvgMale"
     ChamelHeadSkins(7)="ChamelHeadSkins.MWA__004__AvgMale"
     ChamelHeadSkins(8)="ChamelHeadSkins.MWA__005__AvgMale"
     ChamelHeadSkins(9)="ChamelHeadSkins.MWA__006__AvgMale"
     ChamelHeadSkins(10)="ChamelHeadSkins.MWA__007__AvgMale"
     ChamelHeadSkins(11)="ChamelHeadSkins.MWA__008__AvgMale"
     ChamelHeadSkins(12)="ChamelHeadSkins.MWA__009__AvgMale"
     ChamelHeadSkins(13)="ChamelHeadSkins.MWA__010__AvgMale"
     ChamelHeadSkins(14)="ChamelHeadSkins.MWA__011__AvgMale"
     ChamelHeadSkins(15)="ChamelHeadSkins.MWA__015__AvgMale"
     ChamelHeadSkins(16)="ChamelHeadSkins.MWA__021__AvgMaleBig"
     ChamelHeadSkins(17)="ChamelHeadSkins.MWA__035__AvgMale"
     ChamelHeadSkins(18)="ChamelHeadSkins.MWF__025__FatMale"
     ChamelHeadSkins(19)="ChamelHeadSkins.MWA__022__AvgMaleBig"
     ChamelHeadSkins(20)="ChamelHeadSkins.FBA__033__FemSH"
     ChamelHeadSkins(21)="ChamelHeadSkins.FMA__028__FemSH"
     ChamelHeadSkins(22)="ChamelHeadSkins.FMA__034__FemSH"
     ChamelHeadSkins(23)="ChamelHeadSkins.FWA__026__FemLH"
     ChamelHeadSkins(24)="ChamelHeadSkins.FWA__027__FemLH"
     ChamelHeadSkins(25)="ChamelHeadSkins.FWA__029__FemSH"
     ChamelHeadSkins(26)="ChamelHeadSkins.FWA__032__FemSH"
     ChamelHeadSkins(27)="ChamelHeadSkins.FWF__023__FatFem"
     ChamelHeadSkins(28)="ChamelHeadSkins.FWA__037__FemSHcropped"
     ChamelHeadSkins(29)="ChamelHeadSkins.FMA__038__FemSHcropped"
     ChamelHeadSkins(30)="ChamelHeadSkins.FMA__039__FemSHcropped"
     ChamelHeadSkins(31)="ChamelHeadSkins.FWA__040__FemSHcropped"
     ChamelHeadSkins(32)="ChamelHeadSkins.MBF__042__FatMale"
     ChamelHeadSkins(33)="ChamelHeadSkins.FBF__043__FatFem"
     ChamelHeadSkins(34)="ChamelHeadSkins.FMF__044__FatFem"
     ChamelHeadSkins(35)="ChamelHeadSkins.FWA__031__FemSH"
     ChamelHeadSkins(36)="ChamelHeadSkins.FBA__063__FemSH"
     ChamelHeadSkins(37)="End"
     ChamelHeadMeshPkgs(0)="heads"
     dialogclass=class'BasePeople.Dialogmale'
     BaseEquipment(0)=(WeaponClass=Class'Inventory.BatonWeapon')
     BaseEquipment(1)=(WeaponClass=Class'Inventory.FootWeapon')
     BaseEquipment(2)=(WeaponClass=Class'Inventory.UrethraWeapon')
     bCanPickupInventory=True
     HandsClass=Class'Inventory.HandsWeaponSS'
     HandsTexture=None
	 ControllerClass=Class'AIPack.BystanderController'
     FootTexture=None
     MenuName="Bystander"
     Mesh=SkeletalMesh'MP_Characters.Avg_M_SS_Pants'
     //Skins(0)=Texture'ChameleonSkins.Rednecks.MW__055__Avg_M_SS_Pants'
}
