//=============================================================================
// PMJailPoint.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2012.
//=============================================================================

class PMJailPoint extends Actor
	placeable;

var bool bInUse;
var Pawn LastPawn;

replication
{
	unreliable if (Role == ROLE_Authority)
		bInUse, LastPawn;
}

simulated function Touch(Actor Other)
{
	if(Other != None)
	{
		if(Other == Pawn(Other))
		{
			bInUse = True;
			LastPawn = Pawn(Other);
		}
	}
}

simulated function UnTouch(Actor Other)
{
	if(Pawn(Other) == LastPawn)
	{
		bInUse = False;
		LastPawn = None;
	}
}

defaultproperties
{
	 bHidden=True
	 DrawType=DT_StaticMesh
	 StaticMesh=StaticMesh'TP_Weapons.Handcuffs3'
	 bCollideActors=True
	 CollisionRadius=20.000000
	 CollisionHeight=20.000000
}
