//=============================================================================
// PMMarketMessage. (Base class of messages for market)
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2010.
//=============================================================================
class PMMarketMessage extends LocalMessage;

var localized string PaidForIt;
var localized string ThankYou;
var localized string NoMoney;

static function string GetString(
	PlayerController P,
	optional int Switch,
	optional PlayerReplicationInfo RelatedPRI_1, 
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object OptionalObject
	)
{
	switch(Switch)
	{
	case 0:
		return Default.PaidForIt;
		break;

	case 1:
		return Default.ThankYou;
		break;

	case 2:
		return Default.NoMoney;
		break;
	}
}

defaultproperties
{
     bIsConsoleMessage=True
     PaidForIt="Select your money, press ENTER and paid for it."
     ThankYou="Thank you for your purchase!"
     NoMoney="I'm sorry, but this is not enough. Get more money."
     bIsUnique=True
     bFadeMessage=True
}
