//=============================================================================
// TankProjectileExplosion.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2010.
//=============================================================================

class TankProjectileExplosion extends RocketExplosion;

simulated function CheckForHitType(Actor Other)
{
	if(Pawn(Other) != None
		&& NPVehicle(Other) == None
		&& class'P2Player'.static.BloodMode())
	{
		Emitters[BLOOD_INDEX].Disabled=false;
	}
}

defaultproperties
{
     Begin Object Class=SpriteEmitter Name=TankProjectileExplosionFX01
         UseColorScale=True
         RespawnDeadParticles=False
         SpinParticles=True
         UseSizeScale=True
         UseRegularSizeScale=False
         UniformSize=True
         AutomaticInitialSpawning=False
         BlendBetweenSubdivisions=True
         UseRandomSubdivision=True
         ColorScale(0)=(Color=(B=255,G=255,R=255))
         ColorScale(1)=(RelativeTime=1.000000)
         StartLocationShape=PTLS_Sphere
         SphereRadiusRange=(Min=16.000000,Max=32.000000)
         StartSpinRange=(X=(Max=1.000000))
         SizeScale(0)=(RelativeSize=0.750000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.750000)
         StartSizeRange=(X=(Max=250.000000))
         InitialParticlesPerSecond=5000.000000
         Texture=Texture'nathans.Skins.expl1color'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         LifetimeRange=(Min=1.250000,Max=1.500000)
     End Object
     Emitters(1)=SpriteEmitter'TankProjectileExplosionFX01'

     ExplodingSound=Sound'WeaponSounds.rocket_explode'
     ExplosionMag=600000.000000
     ExplosionDamage=1100.000000
     ExplosionRadius=800.000000
     MyDamageType=Class'TankProjectileDamage'
     AutoDestroy=True
     LifeSpan=4.000000
}
