//=============================================================================
// BrokenVehicleDetail. (Genereic broken vehicle details)
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// T-ModZ. All Rights Reserved.
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2010.
//=============================================================================

class BrokenVehicleDetail extends NKActor;

var P2Emitter EvilFireEmitter;

var float DestroyTime;

event Bump( Actor Other )
{
	//STUB
}
event PostLoadGame()
{
	//STUB
}

function PostBeginPlay()
{
	Super.PostBeginPlay();
	if(Level.NetMode != NM_Client)
	{
		if(EvilFireEmitter == None)
		{
			EvilFireEmitter = spawn(class'VehicleFireEmitter', self,, Location);
			EvilFireEmitter.SetBase(self);
		}
	}
	SetTimer(DestroyTime, false);
}

event Timer()
{
	Destroy();
}

function Destroyed()
{
	Super.Destroyed();
	if( EvilFireEmitter != None )
		EvilFireEmitter.Destroy();
}

defaultproperties
{
	 DestroyTime=40.0
     bAllowDynamicShadows=True
     ImpactSounds(0)=Sound'ProjectMaricaCore.ut_impact_01'
     ImpactSounds(1)=Sound'ProjectMaricaCore.ut_impact_01'
     Begin Object Class=KarmaParams Name=BrokenVehicleDetailPhysics
         KFriction=0.400000
         KRestitution=0.200000
         KImpactThreshold=200.000000
         Name="BrokenVehicleDetailPhysics"
     End Object
     KParams=KarmaParams'BrokenVehicleDetailPhysics'
}
