//=============================================================================
// NKVehicleKillZ.uc
// Author: Nick a.k.a Evil T-ModZ
// 2015.
//=============================================================================

class NKVehicleKillZ extends Actor
	placeable;

var() float KillZ;
var() float SearchTime;
var class<DamageType> KillZDamage;

var float fUpdateTime;

function Tick(float DeltaTime)
{
	local Actor testActor;

	if( Level.TimeSeconds > fUpdateTime + SearchTime )
	{
		foreach DynamicActors(class'Actor', testActor)
		{
			if( testActor != None 
				&& (NPVehicle(testActor) != None || NKVehicle(testActor) != None) 
					&& testActor.Location.Z < KillZ )
			{
				if( NKVehicle(testActor) != None )
				{
					if( NKVehicle(testActor).Health > 0 )
						testActor.TakeDamage(NKVehicle(testActor).Health*2, None, testActor.Location, vect(0,0,0), KillZDamage);
				}
				else if( NPVehicle(testActor) != None )
				{
					if( NPVehicle(testActor).Health > 0 )
						testActor.TakeDamage(NPVehicle(testActor).Health*2, None, testActor.Location, vect(0,0,0), KillZDamage);
				}
			}
		}
		fUpdateTime = Level.TimeSeconds;
	}
}

defaultproperties
{
	 SearchTime=1.0
	 KillZDamage=class'NKVehicleKillZWaterDamage'
	 bHidden=true
}
