//=============================================================================
// NKVehicleWeatherSurfaceController.
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2014.
//=============================================================================

class NKVehicleWeatherSurfaceController extends Actor
	placeable;

var() bool bNoProjectLight;

var() enum MapSurfaceTypeSystem
{
	MST_Default,
	MST_Grass,
	MST_Dirt,
	MST_Snow,
	MST_Sand,
	MST_Ice
} MapSurfaceType;

function TakeSurfaceType(NKVehicle tempVehicle)
{
	if( MapSurfaceType == MST_Default )
		tempVehicle.MapSurfaceType = MST_Default;
	else if( MapSurfaceType == MST_Grass )
		tempVehicle.MapSurfaceType = MST_Grass;
	else if( MapSurfaceType == MST_Dirt )
		tempVehicle.MapSurfaceType = MST_Dirt;
	else if( MapSurfaceType == MST_Snow )
		tempVehicle.MapSurfaceType = MST_Snow;
	else if( MapSurfaceType == MST_Sand )
		tempVehicle.MapSurfaceType = MST_Sand;
	else if( MapSurfaceType == MST_Ice )
		tempVehicle.MapSurfaceType = MST_Ice;
	if( bNoProjectLight )
		tempVehicle.ProjLightMaterial = None;
}

defaultproperties
{
	 bHidden=true
}
