//=============================================================================
// FX by Steven Horton
//=============================================================================

class TireFXSnow extends TireFXBase;

defaultproperties
{
     Begin Object Class=SpriteEmitter Name=SnowFXEmitter
         Acceleration=(Z=-250.000000)
         UseColorScale=True
         ColorScale(0)=(Color=(B=190,G=180,R=170,A=128))
         ColorScale(1)=(RelativeTime=0.100000,Color=(B=200,G=180,R=165,A=128))
         ColorScale(2)=(RelativeTime=0.900000,Color=(B=200,G=200,R=180,A=50))
         ColorScale(3)=(RelativeTime=1.000000,Color=(B=190,G=180,R=170))
         MaxParticles=100
         RespawnDeadParticles=False
         StartLocationRange=(Y=(Min=-24.000000,Max=24.000000))
         UseRotationFrom=PTRS_Actor
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.025000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.250000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.200000)
         StartSizeRange=(X=(Min=50.000000,Max=80.000000),Y=(Min=50.000000,Max=80.000000),Z=(Min=50.000000,Max=80.000000))
         UniformSize=True
         AutomaticInitialSpawning=False
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'ProjectMaricaCore.S_Snow'
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=2.000000,Max=2.000000)
         StartVelocityRange=(Y=(Min=-30.000000,Max=30.000000),Z=(Min=60.000000,Max=120.000000))
         Name="SnowFXEmitter"
     End Object
     Emitters(0)=SpriteEmitter'SnowFXEmitter'
     AmbientSound=Sound'ProjectMaricaCore.WheelSlipSand'
     SoundRadius=200.000000
     SoundVolume=0
     SoundPitch=52
}
