//=============================================================================
// VehicleCreatorBaseWeapon.uc
// Author: Nick Pilshikov "Evil"
// Email: Nick_Pv@mail.ru / EvilTheDark@gmail.com
// Site: Set-Games.ru / Revival-Games.ru
// Revival Games Studios.
// 2014.
//=============================================================================

class VehicleCreatorBaseWeapon extends RifleWeapon;//P2Weapon;

var array<ShadowBitmapMaterial> SBObjectPool;

function AllocateObject(ShadowBitmapMaterial newShadow)
{
	//if( Instigator != None )
	//	Instigator.ClientMessage(newShadow$" saved "$self$" "$SBObjectPool.Length);

	SBObjectPool.Insert(SBObjectPool.Length, 1.0);
	SBObjectPool[SBObjectPool.Length] = newShadow;
}

function ShadowBitmapMaterial GetAllocatedObject()
{
	local int i;
	local ShadowBitmapMaterial tempShadow;

	for( i = 0 ; i < SBObjectPool.Length ; i++ )
	{
		if( SBObjectPool[i] != None )
		{
			tempShadow = SBObjectPool[i];
			SBObjectPool.Remove(i, 1);
			//if( Instigator != None )
			//	Instigator.ClientMessage(tempShadow$" returned "$self$" "$SBObjectPool.Length);
			return tempShadow;
		}
	}

	//if( Instigator != None )
	//	Instigator.ClientMessage("spawn new shadow");

	return None;
}

function ClearObjectPool()
{
	SBObjectPool.Length = 0;
}

function Tick(float DeltaTime)
{
	Super.Tick(DeltaTime);
}

defaultproperties
{
}
