//=============================================================================
// VehicleFireEmitter. (Special fire emitter that attaches 
//						to car after car broken!)
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2011.
//=============================================================================

class VehicleEngineFireEmitter extends P2Emitter;

defaultproperties
{
     Begin Object Class=SpriteEmitter Name=VehicleEngineFireEmitterFX01
         FadeOutStartTime=0.400000
         FadeOut=True
         MaxParticles=20
         StartLocationRange=(X=(Min=-10.000000,Max=10.000000),Y=(Min=-10.000000,Max=10.000000),Z=(Min=-20.000000,Max=20.000000))
         AlphaRef=5
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.500000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.300000)
         SizeScale(1)=(RelativeTime=0.200000,RelativeSize=0.500000)
         SizeScale(2)=(RelativeTime=1.000000)
         StartSizeRange=(X=(Min=35.000000,Max=55.000000))
         ParticlesPerSecond=15.000000
         InitialParticlesPerSecond=25.000000
         AutomaticInitialSpawning=False
         Texture=Texture'nathans.Skins.firegroup3'
         TextureUSubdivisions=1
         TextureVSubdivisions=4
         BlendBetweenSubdivisions=True
         SubdivisionStart=2
         SubdivisionEnd=2
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=0.500000,Max=0.500000)
         StartVelocityRange=(X=(Min=-5.000000,Max=5.000000),Y=(Min=-5.000000,Max=5.000000),Z=(Min=100.000000,Max=100.000000))
         Name="VehicleEngineFireEmitterFX01"
     End Object
     Emitters(0)=SpriteEmitter'VehicleEngineFireEmitterFX01'
     AutoDestroy=True
     bReplicateMovement=True
     LifeSpan=30.000000
}
