//=============================================================================
// VehicleSmokeEmitter. (Smoke emitter what attaches to car when car is broken)
//
// Official page of mod:
// http://www.set-games.ru/index/projectmarica/0-8
//
// Author: Evil T-ModZ (Nick)
// Email: Nick_Pv@mail.ru / TModZ.Evil@Yahoo.com
// Site: Set-Games.ru
// T-ModZ. All Rights Reserved.
// 2011.
//=============================================================================

class VehicleSmokeEmitter extends P2Emitter;

defaultproperties
{
     Begin Object Class=SuperSpriteEmitter Name=VehicleSmokeEmitterFX01
         FadeOutStartTime=0.800000
         FadeOut=True
         MaxParticles=8
         StartLocationRange=(X=(Min=-20.000000,Max=20.000000),Y=(Min=-20.000000,Max=20.000000))
         SpinParticles=True
         SpinsPerSecondRange=(X=(Max=0.300000))
         StartSpinRange=(X=(Max=1.000000))
         UseSizeScale=True
         UseRegularSizeScale=False
         SizeScale(0)=(RelativeSize=0.800000)
         SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.500000)
         StartSizeRange=(X=(Min=80.000000,Max=120.000000))
         DrawStyle=PTDS_AlphaBlend
         Texture=Texture'ProjectMaricaCore.SmokeFX'
         TextureUSubdivisions=2
         TextureVSubdivisions=2
         SecondsBeforeInactive=0.000000
         LifetimeRange=(Min=2.000000,Max=2.000000)
         StartVelocityRange=(X=(Min=-15.000000,Max=15.000000),Y=(Min=-15.000000,Max=15.000000),Z=(Min=128.000000,Max=192.000000))
         Name="VehicleSmokeEmitterFX01"
     End Object
     Emitters(0)=SuperSpriteEmitter'VehicleSmokeEmitterFX01'
     bReplicateMovement=True
}
